Go to the first, previous, next, last section, table of contents.

### `extdeg_ff`

`extdeg_ff()`
  :: Extension degree of the current base field over the prime field.

return
  integer

- Returns the extension degree of the current base field over the prime field.
- 1 is returned if GF(p), where p is a prime, is set. n is returned if GF(2^n) is set.

    [0] extdeg_ff();
    extdeg_ff : current_ff is not set
    return to toplevel
    [0] setmod_ff(3);
    3
    [1] extdeg_ff();
    1
    [2] setmod_ff(x^2+x+1);
    x^2+x+1
    [3] extdeg_ff();
    2

`References`
  section `setmod_ff`

Go to the first, previous, next, last section, table of contents.